GHSA-x454-72fx-69q3

Suggest an improvement
Source
https://github.com/advisories/GHSA-x454-72fx-69q3
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-x454-72fx-69q3/GHSA-x454-72fx-69q3.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-x454-72fx-69q3
Aliases
Published
2022-05-18T00:00:40Z
Modified
2023-11-08T04:09:21.068604Z
Severity
  • 4.3 (Medium) CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:N/A:N CVSS Calculator
Summary
Missing permission check in Jenkins SSH Plugin
Details

A missing permission check in Jenkins SSH Plugin 2.6.1 and earlier allows attackers with Overall/Read permission to enumerate credentials IDs of credentials stored in Jenkins.

References

Affected packages

Maven / org.jenkins-ci.plugins:ssh

Package

Name
org.jenkins-ci.plugins:ssh
View open source insights on deps.dev
Purl
pkg:maven/org.jenkins-ci.plugins/ssh

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Last affected
2.6.1

Affected versions

2.*

2.4
2.5
2.6
2.6.1